<?xml version="1.0" encoding="UTF-8"?>
<section version="5.0" xml:lang="en" xmlns="http://docbook.org/ns/docbook"
         xmlns:xlink="http://www.w3.org/1999/xlink"
         xmlns:xi="http://www.w3.org/2001/XInclude"
         xmlns:svg="http://www.w3.org/2000/svg"
         xmlns:mml="http://www.w3.org/1998/Math/MathML"
         xmlns:html="http://www.w3.org/1999/xhtml"
         xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <title>Terminology</title>
  </info>

  <section>
    <info>
      <title>Farm</title>
    </info>

    <para>A <literal>farm</literal> is a set of similar JOnAS nodes gathered for ensuring scalability and a first level of availability.</para>

  </section>

  <section>
    <info>
      <title>Cluster</title>
    </info>

    <para>A <literal>cluster</literal> is a set of similar JOnAS nodes gathered for ensuring high availablity.</para>
    <note>
      <para>note: the <literal>cluster</literal> term can be used in a more general sense which covers both the scalability
      and high availability aspects</para>
    </note>

  </section>

  <section>
    <info>
      <title>Replication domain</title>
    </info>

    <para>A <literal>replication domain</literal> is a subset of a JOnAS cluster which determines the replication boundaries.
    The concept ensures the scalability of the replication when dealing with a large number of nodes. </para>

  </section>
  
  <section>
    <info>
      <title>JOnAS node</title>
    </info>

    <para>A <literal>JOnAS node</literal> or <literal>JOnAS instance</literal> is an autonomous server with its
    own configuration and running in a dedicated JVM. Several <literal>JOnAS nodes</literal> may lie in the same
    virtual or real system.</para>

  </section>

  <section>
    <info>
      <title>JOnAS domain</title>
    </info>

    <para>A <literal>JOnAS domain</literal> gathers a set of JOnAS nodes under the same administration authority.
    A domain is defined by a name and the JOnAS nodes belonging to a domain must have an unique name within this domain.</para>

  </section>

  <section>
    <info>
      <title>Master node</title>
    </info>

    <para>A <literal>master node</literal> is a JOnAS node of a domain dedicated to the administration. It enables to
    manage the JOnAS instances of a domain from a centralized point. Several master nodes can be defined within a domain.</para>

  </section>

  <section>
    <info>
      <title>SPOF</title>
    </info>

    <para><literal>SPOF</literal> stands for Single Point Of Failure.</para>

  </section>

</section>
